function w=pccont1(p,r)

% PCCONT1     Kernel Density estimate p% contour plot for bi-variate data.
%
%             PCCONT1(P,R)  

w=zeros(length(p),2);

n=length(r);

p=100-p;

[order index]=sort(r);

m=ceil(n*p/100);

for i=1:length(p),
  if m(i)==0,
    v=order(1)-0.001; 
    % NB. The 0.001 subtraction may need to
    % vary with the data-set.
  end;

  if m(i)>0 & m(i)<n,
    v=(order(m(i))+order(m(i)+1))/2;
  end;

  if m(i)==n,
    v=(order(n-1)+order(n))/2;
  end;

  w(i,:)=[v Inf];

end;
